VNSTATI(1)

NAME
vnstati - png image output support for vnStat

SYNOPSIS
vnstati [ -cdhimostv? ] [ --cache time ] [ --config file ] [ --days ] [ --dbdir directory ] [ --help ] [ --hours ] [ -hs ] [ --hsummary ] [ -i interface ] [ --iface interface ] [ --locale locale ] [ --months ] [ -ne ] [ -nh ] [ --noedge ] [ --noheader ] [ --output file ] [ -ru ] [ --rateunit ] [ --style number ] [ --summary ] [ --top10 ] [ --transparent ] [ --version ] [ -vs ] [ --vsummary ]

DESCRIPTION
The purpose of vnstati is to provide image output support for statistics collected using vnstat(1). The image file format is limited to png. All basic outputs of vnStat are supported excluding live traffic features. The image can be outputted either to a file or to standard output.

OPTIONS

-c, --cache time
    Update output file only if at least time minutes have passed since the previous file update. This option is ignored if stdout is used as output.

--config file
    Use file as configuration file instead of using normal configuration file search functionality.

-d, --days
    Output traffic statistics on a daily basis for the last 30 days.

--dbdir directory
    Use directory as database directory instead of using the directory specified in the configuration file or the hardcoded default if no configuration file is available.

-h, --hours
    Output traffic statistics on a hourly basis for the last 24 hours.

-hs, --hsummary
    Output traffic summary including hourly data using a horizontal layout.

-i, --iface interface
    Use interface instead of default or configured interface.

--locale locale
    Use locale instead of using the locale setting specified in the configuration file or the system default if no configuration file is available.

-m, --months
    Output traffic statistics on a monthly basis for the last 12 months.

-ne, --noedge
    Remove darker edges from around the image.

-nh, --noheader
    Remove header containing title and update time. Time of the previous update will still be visible in the lower right corner using a less visible color.

-o, --output file
    Write png image to file and exit. Output can be directed to stdout by giving "-" as filename.

-ru, --rateunit
    Change the configured rate unit. If rate has been configured to be shown in bytes then rate will be shown in bits if this option is present. In the same way, if rate has been configured to be shown in bits then rate will be shown in bytes when this option is present. Alternatively 0 or 1 can be given as parameter for this option in order to select between bytes (0) and bits (1) regardless of the configuration file setting.

--style number
    Modify the content and style of outputs. Setting number to 3 will show average traffic rate in all outputs where it is supported. Other values will show bar graphics instead.

-s, --summary
    Output traffic statistics summary.

-t, --top10
    Output all time top 10 traffic days.

--transparent
    Toggle background color transparency depending of the TransparentBg setting in the configuration file. Alternatively 0 or 1 can be given as parameter for this option in order to either disable (0) or enable (1) transparency regardless of the configuration file setting.

-v, --version
    Show current version.

-vs, --vsummary
    Output traffic summary including hourly data using a vertical layout.

-?, --help
    Show a command option summary.

FILES

/var/lib/vnstat/
    Default database directory. Files are named according to the monitored interfaces.

/etc/vnstat.conf
    Config file that will be used unless $HOME/.vnstatrc exists. See vnstat.conf(5) for more information.

EXAMPLES

vnstati -s -i eth0 -o /tmp/vnstat.png
    Output traffic summary for interface eth0 to file /tmp/vnstat.png.

vnstati -vs -i eth0+eth1+eth2 -o /tmp/vnstat.png
    Output traffic summary with hourly data under the normal summary for a merge of interfaces eth0, eth1 and eth2 to file /tmp/vnstat.png.

vnstati -h -c 15 -o /tmp/vnstat_h.png
    Output hourly traffic statistics for default interface to file /tmp/vnstat_h.png if the file has not been updated within the last 15 minutes.

vnstati -d -ne -nh -o -
    Output daily traffic statistics without displaying the header section and edges for default interface to standard output (stdout).

vnstati -m --config /home/me/vnstat.cfg -i -o -
    Output monthly traffic statistics for default interface specified in configuration file /home/me/vnstat.cfg to standard output (stdout).

AUTHOR
Teemu Toivola <tst at iki dot fi>

SEE ALSO
vnstat(1), vnstatd(1), vnstat.conf(5), units(7)